Subject: Re: bug#29972: 25.3; dired-hide-details-mode does not persist in desktop session

From: Eli Zaretskii <[email-masked]>
Date: Fri, 05 Jan 2018 21:56:11 +0200

> From: Noam Postavsky <[email-masked]>
> Date: Fri, 5 Jan 2018 14:54:01 -0500
> Cc: Jimmy Yuen Ho Wong <[email-masked]>, [email-masked]
> 
> >> Would it help if define-minor-mode recorded what the
> >> variable/expression is (e.g., by putting a property on the function
> >> symbol)?
> >
> > Not sure what should desktop.el do with that.  Loop on all symbols in
> > obarray looking for those with that property?
> 
> I thought looping over symbols in minor-mode-list would make sense.

Yes, but your suggestion never mentioned minor-mode-list, so I
probably missed the point.

> (I see describe-mode only takes minor modes which have function and
> variable using the same symbol)

That happens automagically if one uses define-minor-mode, right?